Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

Create workspace

Create a new workspace in the company

POST/workspaces
Authorization
AuthorizationBearer token · headerrequired

Company API key (starts with ord_c_)

Request body
requiredapplication/json
namestringrequired
min length 1 · max length 255
slugstringrequired
min length 1 · max length 48 · matches ^(?=.{1,48}$)[a-z0-9]+(?:-[a-z0-9]+)*$
timezonestringrequired

IANA timezone identifier for the workspace (e.g., 'America/New_York', 'Europe/London', 'Asia/Tokyo')

userIdsstring<uuid>[]
Responses
200

OK

idstring<uuid>required
namestringrequired
slugstringrequired
timezonestring | nullrequired
Show properties
Any of:
string
string
null
null
createdAtstring<date-time>required
400

Bad Request - Invalid input parameters

codestring
messagestring
errorsobject
401

Unauthorized - User is not authenticated

statusnumber
messagestring
404

Not Found - Resource does not exist

codestring
messagestring
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://app.tryordinal.com/api/v1/company/workspaces' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Acme Corp",
  "slug": "acme-corp",
  "timezone": "America/New_York"
}'
Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "slug": "string",
  "timezone": "string",
  "createdAt": "2019-08-24T14:15:22Z"
}